Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class ImportsSyntaxCompletor

- org.codehaus.groovy.tools.shell.completion.ImportsSyntaxCompletor

- All Implemented Interfaces and Traits:
    IdentifierCompletor

      class ImportsSyntaxCompletor

  Completor completing imported classnames

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, Collection<String>>` | `cachedImports`
    `List<String>` | `preimportedClassNames`
    `Groovysh` | `shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportsSyntaxCompletor (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `collectImportedSymbols(String importSpec, Collection<String> matches)` finds matching imported classes or static methods
    `` | `boolean` | `complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)`
    `` | `boolean` | `findMatchingImportedClassesCached(String prefix, String importSpec, List<String> candidates)`
    `` | `boolean` | `findMatchingPreImportedClasses(String prefix, Collection<String> matches)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Map<String, Collection<String>> cachedImports

    - #### List<String> preimportedClassNames

    - #### final Groovysh shell

  - ### Constructor Detail

    - #### ImportsSyntaxCompletor(Groovysh shell)

  - ### Method Detail

    - #### void collectImportedSymbols(String importSpec, Collection<String> matches)

      finds matching imported classes or static methods

      Parameters:
        `importSpec` - an import statement without the leading 'import ' or trailing semicolon
        `matches` - all names matching the importSpec will be added to this Collection

    - #### @Override boolean complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)

    - #### boolean findMatchingImportedClassesCached(String prefix, String importSpec, List<String> candidates)

    - #### boolean findMatchingPreImportedClasses(String prefix, Collection<String> matches)